## kleopatra 25.08.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(RELEASE_SERVICE_VERSION_MAJOR "25")
set(RELEASE_SERVICE_VERSION_MINOR "08")
set(RELEASE_SERVICE_VERSION_MICRO "3")

set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
if(RELEASE_SERVICE_VERSION_MICRO LESS 10)
    set(KDE_APPLICATIONS_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}0${RELEASE_SERVICE_VERSION_MICRO}")
else()
    set(KDE_APPLICATIONS_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
endif()

set(KLEOPATRA_VERSION_MAJOR "4")
set(KLEOPATRA_VERSION_MINOR "0")
set(KLEOPATRA_VERSION_MICRO "0")

set(kleopatra_version "${KLEOPATRA_VERSION_MAJOR}.${KLEOPATRA_VERSION_MINOR}.${KLEOPATRA_VERSION_MICRO}.${KDE_APPLICATIONS_COMPACT_VERSION}")
# KLEOPATRA_VERSION_STRING is used for the About data; Gpg4win sets it to a custom value
if (NOT KLEOPATRA_VERSION_STRING)
    set(KLEOPATRA_VERSION_STRING "${kleopatra_version}")
endif()
# The following is for Windows
set(kleopatra_version_win "${KLEOPATRA_VERSION_MAJOR}.${KLEOPATRA_VERSION_MINOR}.${KLEOPATRA_VERSION_MICRO}")
set(kleopatra_fileversion_win "${KLEOPATRA_VERSION_MAJOR},${KLEOPATRA_VERSION_MINOR},${KLEOPATRA_VERSION_MICRO},0")
if (NOT KLEOPATRA_DISTRIBUTION_TEXT)
    # This is only used on Windows for the file attributes of Kleopatra
    set(KLEOPATRA_DISTRIBUTION_TEXT "KDE")
endif()
if (NOT KLEOPATRA_APPLICATION_NAME)
    # This is used to allow multiple flavors of Kleopatra to run at the same time on Windows
    set(KLEOPATRA_APPLICATION_NAME "kleopatra")
endif()
if (KLEOPATRA_LIST_AS_COMPONENT)
    set(KLEOPATRA_LIST_AS_COMPONENT 1)
endif()

project(kleopatra VERSION ${kleopatra_version})

option(DISABLE_KWATCHGNUPG "Don't build the kwatchgnupg tool [default=OFF]" OFF)

# Standalone build. Find / include everything necessary.
set(KF_MIN_VERSION "6.14.0")
set(KIDENTITYMANAGEMENT_VERSION "6.5.3")
set(KMAILTRANSPORT_VERSION "6.5.3")
set(AKONADI_MIME_VERSION "6.5.3")
set(KMIME_VERSION "6.5.3")
set(LIBKLEO_VERSION "6.5.3")
set(QT_REQUIRED_VERSION "6.7.0")
set(MIMETREEPARSER_VERSION "6.5.3")
set(GPGME_REQUIRED_VERSION "1.23.2")
set(LIBASSUAN_REQUIRED_VERSION "2.4.2")
set(GPG_ERROR_REQUIRED_VERSION "1.36")

if (WIN32)
  set(KF6_WANT_VERSION ${KF_MIN_VERSION})
  set(KMIME_WANT_VERSION ${KMIME_VERSION})
else ()
  set(KF6_WANT_VERSION ${KF_MIN_VERSION})
  set(KMIME_WANT_VERSION ${KMIME_VERSION})
endif ()

set(CMAKE_CXX_STANDARD 20)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF6_WANT_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules ${CMAKE_MODULE_PATH})

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMAddTests)
include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(CheckFunctionExists)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(KDEClangFormat)
include(KDEGitCommitHooks)

# Find KF6 packages
find_package(KF6 ${KF6_WANT_VERSION}
    REQUIRED COMPONENTS
    Codecs
    ColorScheme
    Config
    CoreAddons
    Crash
    I18n
    IconThemes
    ItemModels
    KIO
    WidgetsAddons
    WindowSystem
    XmlGui

    OPTIONAL_COMPONENTS
    DocTools
)

set_package_properties(KF6DocTools PROPERTIES
    DESCRIPTION "Documentation tools"
    PURPOSE "Required to generate Kleopatra documentation."
    TYPE OPTIONAL)

# Optional packages
# shall we use DBus?
# enabled per default on Linux & BSD systems
set(USE_DBUS_DEFAULT OFF)
if(UNIX AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    set(USE_DBUS_DEFAULT ON)
endif()
option(USE_DBUS "Build components using DBus (used for interprocess communication, external open in same instance and various presentation related bits)" ${USE_DBUS_DEFAULT})
if(USE_DBUS)
  find_package(KF6DBusAddons ${KF6_WANT_VERSION} CONFIG REQUIRED)
  set(_kleopatra_dbusaddons_libs KF6::DBusAddons)
  set(HAVE_QDBUS 1)
endif()


find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
set(QGPGME_NAME "QGpgmeQt6")
find_package(${QGPGME_NAME} ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
if (${QGPGME_NAME}_VERSION VERSION_GREATER_EQUAL "1.24.0")
    set(QGPGME_FILE_JOBS_SUPPORT_DIRECT_FILE_IO 1)
    set(QGPGME_IMPORT_JOB_SUPPORTS_IMPORT_OPTIONS 1)
    set(QGPGME_SUPPORTS_PROCESS_ALL_SIGNATURES 1)
endif()

find_package(KPim6Libkleo ${LIBKLEO_VERSION} CONFIG REQUIRED)
find_package(KPim6Mime ${KMIME_WANT_VERSION} CONFIG REQUIRED)
find_package(KPim6IdentityManagementCore ${KIDENTITYMANAGEMENT_VERSION} CONFIG)
find_package(KPim6MailTransport ${KMAILTRANSPORT_VERSION} CONFIG)
find_package(KPim6AkonadiMime ${AKONADI_MIME_VERSION} CONFIG)
find_package(KPim6MimeTreeParserWidgets ${MIMETREEPARSER_VERSION} CONFIG REQUIRED)

set(CMAKE_MODULE_PATH ${LIBKLEO_MODULE_PATH} ${CMAKE_MODULE_PATH})

find_package(Qt6 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Test Network PrintSupport)

find_package(LibAssuan ${LIBASSUAN_REQUIRED_VERSION} REQUIRED)
set_package_properties(LibAssuan PROPERTIES
  TYPE REQUIRED
  PURPOSE "Needed for Kleopatra to act as the GnuPG UI Server"
)
find_package(LibGpgError ${GPG_ERROR_REQUIRED_VERSION} REQUIRED)

set(kleopatra_release FALSE)

if(NOT kleopatra_release)
    find_package(Git)
    if(GIT_FOUND)
        execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse
                        WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                        RESULT_VARIABLE rc
                        ERROR_QUIET)
        if(rc EQUAL 0)
            execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --oneline --format=%h ${CMAKE_CURRENT_SOURCE_DIR}
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                OUTPUT_VARIABLE Kleopatra_WC_REVISION)
            string(REGEX REPLACE "\n" "" Kleopatra_WC_REVISION "${Kleopatra_WC_REVISION}")

            execute_process(COMMAND ${GIT_EXECUTABLE} log -1 --oneline --format=%cI ${CMAKE_CURRENT_SOURCE_DIR}
                WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
                OUTPUT_VARIABLE Kleopatra_WC_LAST_CHANGED_DATE)
            string(REGEX REPLACE "^([0-9]+)-([0-9]+)-([0-9]+)T([0-9]+):([0-9]+):([0-9]+).*$" "\\1\\2\\3T\\4\\5\\6"
                   Kleopatra_WC_LAST_CHANGED_DATE "${Kleopatra_WC_LAST_CHANGED_DATE}")

            set(KLEOPATRA_VERSION_STRING "${KLEOPATRA_VERSION_STRING}+git${Kleopatra_WC_LAST_CHANGED_DATE}~${Kleopatra_WC_REVISION}")
        endif()
    endif()
endif()
if(EXISTS ${CMAKE_SOURCE_DIR}/VERSION)
    file(STRINGS ${CMAKE_SOURCE_DIR}/VERSION lines)
    list(GET lines 1 kleopatra_commit_id)
endif()

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/version-kleopatra.h.in ${CMAKE_CURRENT_BINARY_DIR}/version-kleopatra.h)
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-kleopatra.h.in ${CMAKE_CURRENT_BINARY_DIR}/config-kleopatra.h)

include_directories(
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}
)

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)

if(CMAKE_COMPILER_IS_GNUCXX)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-braces -Wno-parentheses -Wno-ignored-qualifiers")
endif()
if(MINGW)
    # we do not care about different signedness of passed pointer arguments
    add_compile_options($<$<COMPILE_LANGUAGE:C>:-Wno-pointer-sign>)
endif()

add_definitions(-DQT_NO_EMIT)
remove_definitions(-DQT_NO_FOREACH)

# Disable the use of QStringBuilder for operator+ to prevent crashes when
# returning the result of concatenating string temporaries in lambdas. We do
# this for example in some std::transform expressions.
# This is a known issue: https://bugreports.qt.io/browse/QTBUG-47066
# Alternatively, one would always have to remember to force the lambdas to
# return a QString instead of QStringBuilder, but that's just too easy to
# forget and, unfortunately, the compiler doesn't issue a warning if one forgets
# this. So, it's just too dangerous.
# One can still use QStringBuilder explicitly with the operator% if necessary.
remove_definitions(-DQT_USE_FAST_OPERATOR_PLUS)
remove_definitions(-DQT_USE_QSTRINGBUILDER)

kde_enable_exceptions()
option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
endif()


add_subdirectory(src)

if(BUILD_TESTING)
    add_subdirectory(tests)
    add_subdirectory(autotests)
endif()

ecm_qt_install_logging_categories(
        EXPORT KLEOPATRA
        FILE kleopatra.categories
        DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
        )

ki18n_install(po)
if(KF6DocTools_FOUND)
    kdoctools_install(po)
    add_subdirectory(doc)
endif()
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

# add clang-format target for all our real source files
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})
kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
add_subdirectory(mimetypes)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

if (NOT DISABLE_KWATCHGNUPG)
    add_subdirectory(kwatchgnupg)
endif()
add_subdirectory(conf)

if(WIN32)
  set(_kleopatra_extra_uiserver_SRCS uiserver/uiserver_win.cpp)
  set(_kleopatra_extra_SRCS
      pics/gpg4win.qrc
      selftest/registrycheck.cpp selftest/registrycheck.h
      utils/gnupg-registry.c
      utils/userinfo_win.cpp
      utils/winapi-helpers.cpp utils/winapi-helpers.h
      utils/windowsprocessdevice.cpp utils/windowsprocessdevice.h
      versioninfo.rc kleopatra.w32-manifest
  )
else()
  set(_kleopatra_extra_uiserver_SRCS uiserver/uiserver_unix.cpp)
  set(_kleopatra_extra_SRCS)
endif()

set(_kleopatra_uiserver_SRCS
    ${_kleopatra_extra_uiserver_SRCS}

    selftest/uiservercheck.cpp selftest/uiservercheck.h
    uiserver/assuanserverconnection.cpp uiserver/assuanserverconnection.h
    uiserver/createchecksumscommand.cpp uiserver/createchecksumscommand.h
    uiserver/decryptverifycommandemailbase.cpp uiserver/decryptverifycommandemailbase.h
    uiserver/decryptverifycommandfilesbase.cpp uiserver/decryptverifycommandfilesbase.h
    uiserver/echocommand.cpp uiserver/echocommand.h
    uiserver/encryptcommand.cpp uiserver/encryptcommand.h
    uiserver/importfilescommand.cpp uiserver/importfilescommand.h
    uiserver/prepencryptcommand.cpp uiserver/prepencryptcommand.h
    uiserver/prepsigncommand.cpp uiserver/prepsigncommand.h
    uiserver/selectcertificatecommand.cpp
    uiserver/sessiondata.cpp uiserver/sessiondata.h
    uiserver/signcommand.cpp uiserver/signcommand.h
    uiserver/signencryptfilescommand.cpp
    uiserver/uiserver.cpp
    uiserver/verifychecksumscommand.cpp uiserver/verifychecksumscommand.h
  )

set(_kleopatra_uiserver_extra_libs LibAssuan::LibAssuan LibGpgError::LibGpgError)

if(HAVE_GPG_ERR_SOURCE_KLEO)
  add_definitions(-DGPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_KLEO)
  add_definitions(-DGPGMEPP_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_KLEO)
else()
  add_definitions(-DGPG_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_USER_1)
  add_definitions(-DGPGMEPP_ERR_SOURCE_DEFAULT=GPG_ERR_SOURCE_USER_1)
endif()

if(KPim6IdentityManagementCore_FOUND AND KPim6MailTransport_FOUND AND KPim6AkonadiMime_FOUND)
  set(_kleopatra_mail_libs
      KPim6::IdentityManagementCore # Export OpenPGP keys using WKS
      KPim6::MailTransport
      KPim6::AkonadiMime
  )
  add_definitions(-DMAILAKONADI_ENABLED)
endif()

ki18n_wrap_ui(_kleopatra_uiserver_SRCS crypto/gui/signingcertificateselectionwidget.ui)

configure_file(kleopatra.qrc.in kleopatra.qrc @ONLY)
set(_kleopatra_SRCS
  ${_kleopatra_extra_SRCS}

  accessibility/accessiblelink.cpp
  accessibility/accessiblelink_p.h
  accessibility/accessiblerichtextlabel.cpp
  accessibility/accessiblerichtextlabel_p.h
  accessibility/accessiblevaluelabel.cpp
  accessibility/accessiblevaluelabel_p.h
  accessibility/accessiblewidgetfactory.cpp
  accessibility/accessiblewidgetfactory.h
  commands/addadskcommand.cpp
  commands/addadskcommand.h
  commands/addsubkeycommand.cpp
  commands/addsubkeycommand.h
  commands/adduseridcommand.cpp
  commands/adduseridcommand.h
  commands/authenticatepivcardapplicationcommand.cpp
  commands/authenticatepivcardapplicationcommand.h
  commands/cardcommand.cpp
  commands/cardcommand.h
  commands/certificatetocardcommand.cpp
  commands/certificatetocardcommand.h
  commands/certificatetopivcardcommand.cpp
  commands/certificatetopivcardcommand.h
  commands/certifycertificatecommand.cpp
  commands/certifycertificatecommand.h
  commands/certifygroupcommand.cpp
  commands/certifygroupcommand.h
  commands/changeexpirycommand.cpp
  commands/changeexpirycommand.h
  commands/changeownertrustcommand.cpp
  commands/changeownertrustcommand.h
  commands/changepassphrasecommand.cpp
  commands/changepassphrasecommand.h
  commands/changepincommand.cpp
  commands/changepincommand.h
  commands/changeroottrustcommand.cpp
  commands/changeroottrustcommand.h
  commands/checksumcreatefilescommand.cpp
  commands/checksumcreatefilescommand.h
  commands/checksumverifyfilescommand.cpp
  commands/checksumverifyfilescommand.h
  commands/clearcrlcachecommand.cpp
  commands/clearcrlcachecommand.h
  commands/command.cpp
  commands/command.h
  commands/createcsrforcardkeycommand.cpp
  commands/createcsrforcardkeycommand.h
  commands/creategroupcommand.cpp
  commands/creategroupcommand.h
  commands/createopenpgpkeyfromcardkeyscommand.cpp
  commands/createopenpgpkeyfromcardkeyscommand.h
  commands/decryptverifyclipboardcommand.cpp
  commands/decryptverifyclipboardcommand.h
  commands/decryptverifyfilescommand.cpp
  commands/decryptverifyfilescommand.h
  commands/deletecertificatescommand.cpp
  commands/deletecertificatescommand.h
  commands/detailscommand.cpp
  commands/detailscommand.h
  commands/dumpcertificatecommand.cpp
  commands/dumpcertificatecommand.h
  commands/dumpcrlcachecommand.cpp
  commands/dumpcrlcachecommand.h
  commands/exportcertificatecommand.cpp
  commands/exportcertificatecommand.h
  commands/exportgroupscommand.cpp
  commands/exportgroupscommand.h
  commands/exportopenpgpcertstoservercommand.cpp
  commands/exportopenpgpcertstoservercommand.h
  commands/exportopenpgpcerttoprovidercommand.cpp
  commands/exportopenpgpcerttoprovidercommand.h
  commands/exportpaperkeycommand.cpp
  commands/exportpaperkeycommand.h
  commands/exportsecretkeycommand.cpp
  commands/exportsecretkeycommand.h
  commands/exportsecretsubkeycommand.cpp
  commands/exportsecretsubkeycommand.h
  commands/generateopenpgpcardkeysandcertificatecommand.cpp
  commands/generateopenpgpcardkeysandcertificatecommand.h
  commands/genrevokecommand.cpp
  commands/genrevokecommand.h
  commands/gnupgprocesscommand.cpp
  commands/gnupgprocesscommand.h
  commands/importcertificatefromclipboardcommand.cpp
  commands/importcertificatefromclipboardcommand.h
  commands/importcertificatefromdatacommand.cpp
  commands/importcertificatefromdatacommand.h
  commands/importcertificatefromfilecommand.cpp
  commands/importcertificatefromfilecommand.h
  commands/importcertificatefromkeyservercommand.cpp
  commands/importcertificatefromkeyservercommand.h
  commands/importcertificatefrompivcardcommand.cpp
  commands/importcertificatefrompivcardcommand.h
  commands/importcertificatescommand.cpp
  commands/importcertificatescommand.h
  commands/importcrlcommand.cpp
  commands/importcrlcommand.h
  commands/importpaperkeycommand.cpp
  commands/importpaperkeycommand.h
  commands/keytocardcommand.cpp
  commands/keytocardcommand.h
  commands/lookupcertificatescommand.cpp
  commands/lookupcertificatescommand.h
  commands/newcertificatesigningrequestcommand.cpp
  commands/newcertificatesigningrequestcommand.h
  commands/newopenpgpcertificatecommand.cpp
  commands/newopenpgpcertificatecommand.h
  commands/openpgpgeneratecardkeycommand.cpp
  commands/openpgpgeneratecardkeycommand.h
  commands/pivgeneratecardkeycommand.cpp
  commands/pivgeneratecardkeycommand.h
  commands/refreshcertificatescommand.cpp
  commands/refreshcertificatescommand.h
  commands/refreshopenpgpcertscommand.cpp
  commands/refreshopenpgpcertscommand.h
  commands/refreshx509certscommand.cpp
  commands/refreshx509certscommand.h
  commands/reloadkeyscommand.cpp
  commands/reloadkeyscommand.h
  commands/revokecertificationcommand.cpp
  commands/revokecertificationcommand.h
  commands/revokekeycommand.cpp
  commands/revokekeycommand.h
  commands/revokeuseridcommand.cpp
  commands/revokeuseridcommand.h
  commands/selftestcommand.cpp
  commands/selftestcommand.h
  commands/setinitialpincommand.cpp
  commands/setinitialpincommand.h
  commands/setpivcardapplicationadministrationkeycommand.cpp
  commands/setpivcardapplicationadministrationkeycommand.h
  commands/setprimaryuseridcommand.cpp
  commands/setprimaryuseridcommand.h
  commands/signencryptclipboardcommand.cpp
  commands/signencryptclipboardcommand.h
  commands/signencryptfilescommand.cpp
  commands/signencryptfilescommand.h
  commands/signencryptfoldercommand.cpp
  commands/signencryptfoldercommand.h
  commands/togglecertificateenabledcommand.cpp
  commands/togglecertificateenabledcommand.h
  commands/viewemailfilescommand.cpp
  commands/viewemailfilescommand.h
  conf/configuredialog.cpp
  conf/configuredialog.h
  conf/groupsconfigdialog.cpp
  conf/groupsconfigdialog.h
  conf/groupsconfigwidget.cpp
  conf/groupsconfigwidget.h
  crypto/decryptverifyfilescontroller.cpp
  crypto/decryptverifyfilescontroller.h
  crypto/certificateresolver.cpp
  crypto/certificateresolver.h
  crypto/checksumsutils_p.cpp
  crypto/checksumsutils_p.h
  crypto/controller.cpp
  crypto/controller.h
  crypto/createchecksumscontroller.cpp
  crypto/createchecksumscontroller.h
  crypto/decryptverifyemailcontroller.cpp
  crypto/decryptverifyemailcontroller.h
  crypto/decryptverifytask.cpp
  crypto/decryptverifytask.h
  crypto/encryptemailcontroller.cpp
  crypto/encryptemailcontroller.h
  crypto/encryptemailtask.cpp
  crypto/encryptemailtask.h
  crypto/gui/certificatelineedit.cpp
  crypto/gui/certificatelineedit.h
  crypto/gui/certificateselectionline.cpp
  crypto/gui/certificateselectionline.h
  crypto/gui/decryptverifyfilesdialog.cpp
  crypto/gui/decryptverifyfilesdialog.h
  crypto/gui/encryptemailwizard.cpp
  crypto/gui/encryptemailwizard.h
  crypto/gui/newresultpage.cpp
  crypto/gui/newresultpage.h
  crypto/gui/objectspage.cpp
  crypto/gui/objectspage.h
  crypto/gui/resolverecipientspage.cpp
  crypto/gui/resolverecipientspage.h
  crypto/gui/resultitemwidget.cpp
  crypto/gui/resultitemwidget.h
  crypto/gui/resultlistwidget.cpp
  crypto/gui/resultlistwidget.h
  crypto/gui/resultpage.cpp
  crypto/gui/resultpage.h
  crypto/gui/signemailwizard.cpp
  crypto/gui/signemailwizard.h
  crypto/gui/signencryptemailconflictdialog.cpp
  crypto/gui/signencryptemailconflictdialog.h
  crypto/gui/signencryptfilesdialog.cpp
  crypto/gui/signencryptfilesdialog.h
  crypto/gui/signencryptwidget.cpp
  crypto/gui/signencryptwidget.h
  crypto/gui/signencryptwizard.cpp
  crypto/gui/signencryptwizard.h
  crypto/gui/signerresolvepage.cpp
  crypto/gui/signerresolvepage.h
  crypto/gui/signingcertificateselectiondialog.cpp
  crypto/gui/signingcertificateselectiondialog.h
  crypto/gui/signingcertificateselectionwidget.cpp
  crypto/gui/signingcertificateselectionwidget.h
  crypto/gui/unknownrecipientwidget.cpp
  crypto/gui/unknownrecipientwidget.h
  crypto/gui/verifychecksumsdialog.cpp
  crypto/gui/verifychecksumsdialog.h
  crypto/gui/wizard.cpp
  crypto/gui/wizard.h
  crypto/gui/wizardpage.cpp
  crypto/gui/wizardpage.h
  crypto/newsignencryptemailcontroller.cpp
  crypto/newsignencryptemailcontroller.h
  crypto/recipient.cpp
  crypto/recipient.h
  crypto/sender.cpp
  crypto/sender.h
  crypto/signemailcontroller.cpp
  crypto/signemailcontroller.h
  crypto/signemailtask.cpp
  crypto/signemailtask.h
  crypto/signencryptfilescontroller.cpp
  crypto/signencryptfilescontroller.h
  crypto/signencrypttask.cpp
  crypto/signencrypttask.h
  crypto/task.cpp
  crypto/task.h
  crypto/taskcollection.cpp
  crypto/taskcollection.h
  crypto/verifychecksumscontroller.cpp
  crypto/verifychecksumscontroller.h
  dialogs/addsubkeydialog.cpp
  dialogs/addsubkeydialog.h
  dialogs/adduseriddialog.cpp
  dialogs/adduseriddialog.h
  dialogs/animatedexpander.cpp
  dialogs/animatedexpander.h
  dialogs/certificatedetailsdialog.cpp
  dialogs/certificatedetailsdialog.h
  dialogs/certificatedetailsinputwidget.cpp
  dialogs/certificatedetailsinputwidget.h
  dialogs/certificatedetailswidget.cpp
  dialogs/certificatedetailswidget.h
  dialogs/certificatedumpwidget.cpp
  dialogs/certificatedumpwidget.h
  dialogs/certificateselectiondialog.cpp
  dialogs/certificateselectiondialog.h
  dialogs/certifycertificatedialog.cpp
  dialogs/certifycertificatedialog.h
  dialogs/certifywidget.cpp
  dialogs/certifywidget.h
  dialogs/createcsrforcardkeydialog.cpp
  dialogs/createcsrforcardkeydialog.h

=== doc/kwatchgnupg/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kwatchgnupg)

=== debian/changelog ===
kleopatra (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 15:24:51 +0000

kleopatra (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:47:46 +0100

=== debian/control ===
Source: kleopatra
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               dbus <!nocheck>,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               git,
               libakonadimime-dev (>= 4:25.08.3~),
               libassuan-dev (>= 2.4.2~),
               libgpg-error-dev (>= 1.36~),
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.23.2~),
               libkf6codecs-dev (>= 6.6.0~),
               libkf6colorscheme-dev (>= 6.6.0~),
               libkf6config-dev (>= 6.6.0~),
               libkf6coreaddons-dev (>= 6.6.0~),
               libkf6crash-dev (>= 6.6.0~),
               libkf6dbusaddons-dev (>= 6.6.0~),
               libkf6doctools-dev (>= 6.6.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6iconthemes-dev (>= 6.6.0~),
               libkf6itemmodels-dev (>= 6.6.0~),
               libkf6kio-dev (>= 6.6.0~),
               libkf6notifications-dev (>= 6.6.0~),
               libkf6statusnotifieritem-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkf6windowsystem-dev (>= 6.6.0~),
               libkf6xmlgui-dev (>= 6.6.0~),
               libkidentitymanagement-dev (>= 25.08.3~),
               libkleo-dev (>= 4:25.08.3~),
               libkmailtransport-dev (>= 25.08.3~),
               libkmime-dev (>= 25.08.3~),
               libmimetreeparser-dev (>= 25.08.3~),
               libqgpgmeqt6-dev (>= 1.23.2~),
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/kleopatra
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kleopatra
Rules-Requires-Root: no

Package: kleopatra
Architecture: any
Depends: dirmngr,
         gnupg,
         gpgsm,
         paperkey,
         pinentry-qt | pinentry-x11,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: breeze-icon-theme,
Description: Certificate Manager and Unified Crypto GUI
 Kleopatra is a certificate manager and a universal crypto GUI. It supports
 managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
 certificates from LDAP servers.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

execute_after_dh_auto_install:
	find debian/kleopatra -name '*.so' -type l -delete

override_dh_auto_test:
	- xvfb-run -a dbus-run-session -- dh_auto_test --no-parallel

## kleopatra 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "08")
-set(RELEASE_SERVICE_VERSION_MICRO "3")
+set(RELEASE_SERVICE_VERSION_MINOR "11")
+set(RELEASE_SERVICE_VERSION_MICRO "80")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 if(RELEASE_SERVICE_VERSION_MICRO LESS 10)
@@ -42,14 +42,14 @@
 option(DISABLE_KWATCHGNUPG "Don't build the kwatchgnupg tool [default=OFF]" OFF)
 
 # Standalone build. Find / include everything necessary.
-set(KF_MIN_VERSION "6.14.0")
-set(KIDENTITYMANAGEMENT_VERSION "6.5.3")
-set(KMAILTRANSPORT_VERSION "6.5.3")
-set(AKONADI_MIME_VERSION "6.5.3")
-set(KMIME_VERSION "6.5.3")
-set(LIBKLEO_VERSION "6.5.3")
+set(KF_MIN_VERSION "6.18.0")
+set(KIDENTITYMANAGEMENT_VERSION "6.5.80")
+set(KMAILTRANSPORT_VERSION "6.5.80")
+set(AKONADI_MIME_VERSION "6.5.80")
+set(KMIME_VERSION "6.5.80")
+set(LIBKLEO_VERSION "6.5.80")
 set(QT_REQUIRED_VERSION "6.7.0")
-set(MIMETREEPARSER_VERSION "6.5.3")
+set(MIMETREEPARSER_VERSION "6.5.80")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 set(LIBASSUAN_REQUIRED_VERSION "2.4.2")
 set(GPG_ERROR_REQUIRED_VERSION "1.36")
@@ -63,6 +63,7 @@
 endif ()
 
 set(CMAKE_CXX_STANDARD 20)
+set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(ECM ${KF6_WANT_VERSION} CONFIG REQUIRED)
@@ -191,7 +192,7 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
 
 if(CMAKE_COMPILER_IS_GNUCXX)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-braces -Wno-parentheses -Wno-ignored-qualifiers")

=== doc/kleopatra/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kleopatra)
########### install files ###############

=== debian/changelog ===
kleopatra (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 07:57:33 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                git,
-               libakonadimime-dev (>= 4:25.08.3~),
+               libakonadimime-dev (>= 4:25.11.80~),
                libassuan-dev (>= 2.4.2~),
                libgpg-error-dev (>= 1.36~),
                libgpgme-dev (>= 1.21.0~),
@@ -34,11 +34,11 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.08.3~),
-               libkleo-dev (>= 4:25.08.3~),
-               libkmailtransport-dev (>= 25.08.3~),
-               libkmime-dev (>= 25.08.3~),
-               libmimetreeparser-dev (>= 25.08.3~),
+               libkidentitymanagement-dev (>= 25.11.80~),
+               libkleo-dev (>= 4:25.11.80~),
+               libkmailtransport-dev (>= 25.11.80~),
+               libkmime-dev (>= 25.11.80~),
+               libmimetreeparser-dev (>= 25.11.80~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,

## kleopatra 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "80")
+set(RELEASE_SERVICE_VERSION_MICRO "90")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 if(RELEASE_SERVICE_VERSION_MICRO LESS 10)
@@ -43,13 +43,13 @@
 
 # Standalone build. Find / include everything necessary.
 set(KF_MIN_VERSION "6.18.0")
-set(KIDENTITYMANAGEMENT_VERSION "6.5.80")
-set(KMAILTRANSPORT_VERSION "6.5.80")
-set(AKONADI_MIME_VERSION "6.5.80")
-set(KMIME_VERSION "6.5.80")
-set(LIBKLEO_VERSION "6.5.80")
+set(KIDENTITYMANAGEMENT_VERSION "6.5.90")
+set(KMAILTRANSPORT_VERSION "6.5.90")
+set(AKONADI_MIME_VERSION "6.5.90")
+set(KMIME_VERSION "6.5.90")
+set(LIBKLEO_VERSION "6.5.90")
 set(QT_REQUIRED_VERSION "6.7.0")
-set(MIMETREEPARSER_VERSION "6.5.80")
+set(MIMETREEPARSER_VERSION "6.5.90")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 set(LIBASSUAN_REQUIRED_VERSION "2.4.2")
 set(GPG_ERROR_REQUIRED_VERSION "1.36")

=== debian/changelog ===
kleopatra (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:07:31 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                git,
-               libakonadimime-dev (>= 4:25.11.80~),
+               libakonadimime-dev (>= 4:25.11.90~),
                libassuan-dev (>= 2.4.2~),
                libgpg-error-dev (>= 1.36~),
                libgpgme-dev (>= 1.21.0~),
@@ -34,11 +34,11 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.80~),
-               libkleo-dev (>= 4:25.11.80~),
-               libkmailtransport-dev (>= 25.11.80~),
-               libkmime-dev (>= 25.11.80~),
-               libmimetreeparser-dev (>= 25.11.80~),
+               libkidentitymanagement-dev (>= 25.11.90~),
+               libkleo-dev (>= 4:25.11.90~),
+               libkmailtransport-dev (>= 25.11.90~),
+               libkmime-dev (>= 25.11.90~),
+               libmimetreeparser-dev (>= 25.11.90~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,

## kleopatra 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,8 +3,8 @@
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "11")
-set(RELEASE_SERVICE_VERSION_MICRO "90")
+set(RELEASE_SERVICE_VERSION_MINOR "12")
+set(RELEASE_SERVICE_VERSION_MICRO "0")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 if(RELEASE_SERVICE_VERSION_MICRO LESS 10)
@@ -43,13 +43,13 @@
 
 # Standalone build. Find / include everything necessary.
 set(KF_MIN_VERSION "6.18.0")
-set(KIDENTITYMANAGEMENT_VERSION "6.5.90")
-set(KMAILTRANSPORT_VERSION "6.5.90")
-set(AKONADI_MIME_VERSION "6.5.90")
-set(KMIME_VERSION "6.5.90")
-set(LIBKLEO_VERSION "6.5.90")
+set(KIDENTITYMANAGEMENT_VERSION "6.6.0")
+set(KMAILTRANSPORT_VERSION "6.6.0")
+set(AKONADI_MIME_VERSION "6.6.0")
+set(KMIME_VERSION "6.6.0")
+set(LIBKLEO_VERSION "6.6.0")
 set(QT_REQUIRED_VERSION "6.7.0")
-set(MIMETREEPARSER_VERSION "6.5.90")
+set(MIMETREEPARSER_VERSION "6.6.0")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 set(LIBASSUAN_REQUIRED_VERSION "2.4.2")
 set(GPG_ERROR_REQUIRED_VERSION "1.36")

=== debian/changelog ===
kleopatra (4:25.12.0-0ubuntu2) resolute; urgency=medium

  * Recommend kf6-breeze-icon-theme instead of transitional package.

 -- Rik Mills <rikmills@kde.org>  Thu, 18 Dec 2025 13:01:10 +0000

kleopatra (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:23:41 +0000

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                git,
-               libakonadimime-dev (>= 4:25.11.90~),
+               libakonadimime-dev (>= 4:25.12.0~),
                libassuan-dev (>= 2.4.2~),
                libgpg-error-dev (>= 1.36~),
                libgpgme-dev (>= 1.21.0~),
@@ -34,11 +34,11 @@
                libkf6widgetsaddons-dev (>= 6.6.0~),
                libkf6windowsystem-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkidentitymanagement-dev (>= 25.11.90~),
-               libkleo-dev (>= 4:25.11.90~),
-               libkmailtransport-dev (>= 25.11.90~),
-               libkmime-dev (>= 25.11.90~),
-               libmimetreeparser-dev (>= 25.11.90~),
+               libkidentitymanagement-dev (>= 25.12.0~),
+               libkleo-dev (>= 4:25.12.0~),
+               libkmailtransport-dev (>= 25.12.0~),
+               libkmime-dev (>= 25.12.0~),
+               libmimetreeparser-dev (>= 25.12.0~),
                libqgpgmeqt6-dev (>= 1.23.2~),
                qt6-base-dev (>= 6.7.0~),
                xauth <!nocheck>,
@@ -58,7 +58,7 @@
          pinentry-qt | pinentry-x11,
          ${misc:Depends},
          ${shlibs:Depends},
-Recommends: breeze-icon-theme,
+Recommends: kf6-breeze-icon-theme,
 Description: Certificate Manager and Unified Crypto GUI
  Kleopatra is a certificate manager and a universal crypto GUI. It supports
  managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving

## kleopatra 25.12.0+p24.04+vstable+git20251226.0342

=== debian/changelog ===
kleopatra (4:25.12.0+p24.04+vstable+git20251226.0342-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 26 Dec 2025 03:42:16 +0000

kleopatra (4:25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:33:15 +1000

kleopatra (4:25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:37:19 +1000

## kleopatra 25.12.0+p24.04+vstable+git20251231.0242

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,13 +43,13 @@
 
 # Standalone build. Find / include everything necessary.
 set(KF_MIN_VERSION "6.18.0")
-set(KIDENTITYMANAGEMENT_VERSION "6.6.0")
-set(KMAILTRANSPORT_VERSION "6.6.0")
-set(AKONADI_MIME_VERSION "6.6.0")
-set(KMIME_VERSION "6.6.0")
-set(LIBKLEO_VERSION "6.6.0")
+set(KIDENTITYMANAGEMENT_VERSION "6.6.1")
+set(KMAILTRANSPORT_VERSION "6.6.1")
+set(AKONADI_MIME_VERSION "6.6.1")
+set(KMIME_VERSION "6.6.1")
+set(LIBKLEO_VERSION "6.6.1")
 set(QT_REQUIRED_VERSION "6.7.0")
-set(MIMETREEPARSER_VERSION "6.6.0")
+set(MIMETREEPARSER_VERSION "6.6.1")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 set(LIBASSUAN_REQUIRED_VERSION "2.4.2")
 set(GPG_ERROR_REQUIRED_VERSION "1.36")

## kleopatra 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 set(RELEASE_SERVICE_VERSION_MAJOR "25")
 set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "0")
+set(RELEASE_SERVICE_VERSION_MICRO "1")
 
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 if(RELEASE_SERVICE_VERSION_MICRO LESS 10)

=== debian/changelog ===
kleopatra (4:25.12.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 20 Jan 2026 21:37:53 +0100

kleopatra (4:25.12.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.12.1).
  * Update build-deps and deps with the info from cmake.
  * Bump Standards-Version to 4.7.3 (No changes needed).

 -- Patrick Franz <deltaone@debian.org>  Tue, 13 Jan 2026 12:48:43 +0100

kleopatra (4:25.08.3-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Replace dbus-dependency with dbus-daemon (Closes: #1122617).

 -- Patrick Franz <deltaone@debian.org>  Sat, 13 Dec 2025 15:58:23 +0100

kleopatra (4:25.08.3-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 03 Dec 2025 17:59:29 +0100

kleopatra (4:25.08.3-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (25.08.3).
  * Update build-deps and deps with the info from cmake.
  * Remove patches that have been applied upstream.

 -- Patrick Franz <deltaone@debian.org>  Tue, 18 Nov 2025 21:24:23 +0100

kleopatra (4:24.12.3-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Backport patch to fix "Fails to start with a file argument on GNOME".
    (Closes: #1120106)

 -- Sandro Knauß <hefee@debian.org>  Thu, 27 Nov 2025 20:51:46 +0100

=== debian/control ===
Source: kleopatra
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               cmake (>= 3.16~),
               dbus-daemon <!nocheck>,
               extra-cmake-modules (>= 6.18.0~),
               gettext,
               git,
               libakonadimime-dev (>= 4:25.12.1~),
               libassuan-dev (>= 2.4.2~),
               libgpg-error-dev (>= 1.36~),
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.23.2~),
               libkf6codecs-dev (>= 6.18.0~),
               libkf6colorscheme-dev (>= 6.18.0~),
               libkf6config-dev (>= 6.18.0~),
               libkf6coreaddons-dev (>= 6.18.0~),
               libkf6crash-dev (>= 6.18.0~),
               libkf6dbusaddons-dev (>= 6.18.0~),
               libkf6doctools-dev (>= 6.18.0~),
               libkf6guiaddons-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.18.0~),
               libkf6iconthemes-dev (>= 6.18.0~),
               libkf6itemmodels-dev (>= 6.18.0~),
               libkf6kio-dev (>= 6.18.0~),
               libkf6notifications-dev (>= 6.18.0~),
               libkf6statusnotifieritem-dev (>= 6.6.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.18.0~),
               libkf6windowsystem-dev (>= 6.18.0~),
               libkf6xmlgui-dev (>= 6.18.0~),
               libkidentitymanagement-dev (>= 25.12.1~),
               libkleo-dev (>= 4:25.12.1~),
               libkmailtransport-dev (>= 25.12.1~),
               libkmime-dev (>= 25.12.1~),
               libmimetreeparser-dev (>= 25.12.1~),
               libqgpgmeqt6-dev (>= 1.23.2~),
               qt6-base-dev (>= 6.7.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.3
Homepage: https://invent.kde.org/pim/kleopatra
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kleopatra
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kleopatra.git
Rules-Requires-Root: no

Package: kleopatra
Architecture: any
Depends: dirmngr,
         gnupg,
         gpgsm,
         paperkey,
         pinentry-qt | pinentry-x11,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: breeze-icon-theme,
Description: Certificate Manager and Unified Crypto GUI
 Kleopatra is a certificate manager and a universal crypto GUI. It supports
 managing X.509 and OpenPGP certificates in the GpgSM keybox and retrieving
 certificates from LDAP servers.

## kleopatra 25.12.1+p24.04+vstable+git20260107.0237

=== debian/changelog ===
kleopatra (4:25.12.1+p24.04+vstable+git20260107.0237-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 02:38:03 +0000

kleopatra (4:25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:22:27 +1000

## kleopatra 25.12.1+p24.04+vstable+git20260130.0954

=== debian/changelog ===
kleopatra (4:25.12.1+p24.04+vstable+git20260130.0954-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:54:47 +0000

## kleopatra 25.12.1+p24.04+vstable+git20260131.0350

=== debian/changelog ===
kleopatra (4:25.12.1+p24.04+vstable+git20260131.0350-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 03:51:02 +0000

## kleopatra 25.12.1+p24.04+vunstable+git20260203.2348

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,37 +1,40 @@
 # SPDX-FileCopyrightText: none
 # SPDX-License-Identifier: BSD-3-Clause
-cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-
-set(RELEASE_SERVICE_VERSION_MAJOR "25")
-set(RELEASE_SERVICE_VERSION_MINOR "12")
-set(RELEASE_SERVICE_VERSION_MICRO "1")
-
+cmake_minimum_required(VERSION 3.27)
+
+set(RELEASE_SERVICE_VERSION_MAJOR "26")
+set(RELEASE_SERVICE_VERSION_MINOR "03")
+set(RELEASE_SERVICE_VERSION_MICRO "70")
 set(RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
-if(RELEASE_SERVICE_VERSION_MICRO LESS 10)
-    set(KDE_APPLICATIONS_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}0${RELEASE_SERVICE_VERSION_MICRO}")
-else()
-    set(KDE_APPLICATIONS_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
-endif()
-
-set(KLEOPATRA_VERSION_MAJOR "4")
-set(KLEOPATRA_VERSION_MINOR "0")
-set(KLEOPATRA_VERSION_MICRO "0")
-
-set(kleopatra_version "${KLEOPATRA_VERSION_MAJOR}.${KLEOPATRA_VERSION_MINOR}.${KLEOPATRA_VERSION_MICRO}.${KDE_APPLICATIONS_COMPACT_VERSION}")
+
 # KLEOPATRA_VERSION_STRING is used for the About data; Gpg4win sets it to a custom value
 if (NOT KLEOPATRA_VERSION_STRING)
-    set(KLEOPATRA_VERSION_STRING "${kleopatra_version}")
-endif()
+    set(KLEOPATRA_VERSION_STRING "${RELEASE_SERVICE_VERSION}")
+endif()
+if (KLEOPATRA_VERSION_STRING MATCHES "([0-9]+\\.[0-9]+\\.[0-9]+)")
+    set(kleopatra_version "${CMAKE_MATCH_1}")
+else()
+    message(WARNING "KLEOPATRA_VERSION_STRING doesn't contain a valid version number; using RELEASE_SERVICE_VERSION as version number")
+    set(kleopatra_version "${RELEASE_SERVICE_VERSION}")
+endif()
+# drop leading 0s from values to avoid bogus octal values in C/C++ e.g. with 08 or 09
+string(REGEX REPLACE "^0*([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" kleopatra_version_major "${kleopatra_version}")
+string(REGEX REPLACE "^[0-9]+\\.0*([0-9]+)\\.[0-9]+.*" "\\1" kleopatra_version_minor "${kleopatra_version}")
+string(REGEX REPLACE "^[0-9]+\\.[0-9]+\\.0*([0-9]+).*" "\\1" kleopatra_version_micro "${kleopatra_version}")
 # The following is for Windows
-set(kleopatra_version_win "${KLEOPATRA_VERSION_MAJOR}.${KLEOPATRA_VERSION_MINOR}.${KLEOPATRA_VERSION_MICRO}")
-set(kleopatra_fileversion_win "${KLEOPATRA_VERSION_MAJOR},${KLEOPATRA_VERSION_MINOR},${KLEOPATRA_VERSION_MICRO},0")
+set(kleopatra_version_win "${kleopatra_version_major}.${kleopatra_version_minor}.${kleopatra_version_micro}")
+set(kleopatra_fileversion_win "${kleopatra_version_major},${kleopatra_version_minor},${kleopatra_version_micro},0")
 if (NOT KLEOPATRA_DISTRIBUTION_TEXT)
     # This is only used on Windows for the file attributes of Kleopatra
     set(KLEOPATRA_DISTRIBUTION_TEXT "KDE")
 endif()
-if (NOT KLEOPATRA_APPLICATION_NAME)
+if (NOT KLEOPATRA_ORGANIZATION_DOMAIN)
     # This is used to allow multiple flavors of Kleopatra to run at the same time on Windows
-    set(KLEOPATRA_APPLICATION_NAME "kleopatra")
+    set(KLEOPATRA_ORGANIZATION_DOMAIN "kde.org")
+endif()
+if (NOT KLEOPATRA_ORGANIZATION_NAME)
+    # The organization name is used on Windows to look up config entries in the registry
+    set(KLEOPATRA_ORGANIZATION_NAME "KDE")
 endif()
 if (KLEOPATRA_LIST_AS_COMPONENT)
     set(KLEOPATRA_LIST_AS_COMPONENT 1)
@@ -42,17 +45,17 @@
 option(DISABLE_KWATCHGNUPG "Don't build the kwatchgnupg tool [default=OFF]" OFF)
 
 # Standalone build. Find / include everything necessary.
-set(KF_MIN_VERSION "6.18.0")
-set(KIDENTITYMANAGEMENT_VERSION "6.6.1")
-set(KMAILTRANSPORT_VERSION "6.6.1")
-set(AKONADI_MIME_VERSION "6.6.1")
-set(KMIME_VERSION "6.6.1")
-set(LIBKLEO_VERSION "6.6.1")
+set(KF_MIN_VERSION "6.21.0")
+set(KIDENTITYMANAGEMENT_VERSION "6.6.40")
+set(KMAILTRANSPORT_VERSION "6.6.40")
+set(AKONADI_MIME_VERSION "6.6.40")
+set(KMIME_VERSION "6.6.40")
+set(LIBKLEO_VERSION "6.6.43")
 set(QT_REQUIRED_VERSION "6.7.0")
-set(MIMETREEPARSER_VERSION "6.6.1")
-set(GPGME_REQUIRED_VERSION "1.23.2")
+set(MIMETREEPARSER_VERSION "6.6.40")
+set(GPGME_REQUIRED_VERSION "2.0.0")
 set(LIBASSUAN_REQUIRED_VERSION "2.4.2")
-set(GPG_ERROR_REQUIRED_VERSION "1.36")
+set(GPG_ERROR_REQUIRED_VERSION "1.47")
 
 if (WIN32)
   set(KF6_WANT_VERSION ${KF_MIN_VERSION})
@@ -62,9 +65,7 @@
   set(KMIME_WANT_VERSION ${KMIME_VERSION})
 endif ()
 
-set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_SCAN_FOR_MODULES OFF)
-set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 find_package(ECM ${KF6_WANT_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -129,11 +130,6 @@
 find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
 set(QGPGME_NAME "QGpgmeQt6")
 find_package(${QGPGME_NAME} ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
-if (${QGPGME_NAME}_VERSION VERSION_GREATER_EQUAL "1.24.0")
-    set(QGPGME_FILE_JOBS_SUPPORT_DIRECT_FILE_IO 1)
-    set(QGPGME_IMPORT_JOB_SUPPORTS_IMPORT_OPTIONS 1)
-    set(QGPGME_SUPPORTS_PROCESS_ALL_SIGNATURES 1)
-endif()
 
 find_package(KPim6Libkleo ${LIBKLEO_VERSION} CONFIG REQUIRED)
 find_package(KPim6Mime ${KMIME_WANT_VERSION} CONFIG REQUIRED)
@@ -153,9 +149,7 @@
 )
 find_package(LibGpgError ${GPG_ERROR_REQUIRED_VERSION} REQUIRED)
 
-set(kleopatra_release FALSE)
-
-if(NOT kleopatra_release)
+if(EXISTS ${CMAKE_SOURCE_DIR}/.git)
     find_package(Git)
     if(GIT_FOUND)
         execute_process(COMMAND ${GIT_EXECUTABLE} rev-parse
@@ -192,7 +186,12 @@
 )
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.20.0)
+if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
+    # Not setting for GNU due to too many warnings related to private members of base classes or around lambdas
+    # see e.g. https://gcc.gnu.org/bugzilla/show_bug.cgi?id=56556 or https://gcc.gnu.org/bugzilla/show_bug.cgi?id=79328
+    string(APPEND CMAKE_CXX_FLAGS " -Wshadow")
+endif()
+ecm_set_disabled_deprecation_versions(QT 6.11.0 KF 6.22.0 KMIME 6.7.0)
 
 if(CMAKE_COMPILER_IS_GNUCXX)
     set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-missing-braces -Wno-parentheses -Wno-ignored-qualifiers")

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: none
# SPDX-License-Identifier: BSD-3-Clause

include(ECMAddTests)

find_package(Qt6Test ${REQUIRED_QT_VERSION} CONFIG QUIET)

if(NOT TARGET Qt::Test)
    message(STATUS "Qt6Test not found, autotests will not be built.")
    return()
endif()

include_directories(${CMAKE_SOURCE_DIR}/src)

ecm_qt_declare_logging_category(logging_category_srcs HEADER kleopatra_debug.h IDENTIFIER KLEOPATRA_LOG CATEGORY_NAME org.kde.pim.kleopatra)

ecm_add_test(
    kuniqueservicetest.cpp
    ${CMAKE_SOURCE_DIR}/src/utils/kuniqueservice.cpp
    ${logging_category_srcs}
    TEST_NAME kuniqueservicetest
    LINK_LIBRARIES ${_kleopatra_dbusaddons_libs} Qt::Test KF6::WidgetsAddons KF6::I18n
)

ecm_add_test(
    statusmessagetest.cpp
    ${CMAKE_SOURCE_DIR}/src/utils/statusmessage.cpp
    ${logging_category_srcs}
    TEST_NAME statusmessagetest
    LINK_LIBRARIES Qt::Test
)

ecm_add_test(
    pathhelpertest.cpp
    ${CMAKE_SOURCE_DIR}/src/utils/path-helper.cpp
    ${logging_category_srcs}
    TEST_NAME pathhelpertest
    LINK_LIBRARIES KF6::I18n KPim6::Libkleo Qt::Test
)
